﻿@model OsobeViewModel

@{
    ViewData["Title"] = "Popis osoba";
}

<h1>Popis osoba</h1>
<p>
    <small>
        Ova stranica prikazuje Master (složeni tablični prikaz). Za pregled detalja odabire se OIB Osobe, koji je ujedno i link. Na ovoj stranici se može provjeriti sortiranje i straničenje. Prilikom klika na gumb delete, korisnika se pita želi li stvarno izbrisati osobu. U tablici su prikazane stvarne vrijednosti, a ne ID stranih ključeva.
    </small>
</p>

<a asp-action="Create">Stvori novu osobu</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "OIB", "Ime", "Prezime", "Tvrtka", "Funkcija", "Adresa", "Stručna sprema", "Mjesto" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == i ? !Model.PagingInfo.Ascending : true)">@nazivi[i - 1]</a>
                    </th>
                }
            }
            <th>Kontakti</th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var osoba in Model.Osobe)
        {
            <tr>
                <td class="text-left">
                    <a asp-action="Show"
                       asp-route-Oib="@osoba.Oib"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending">
                        @osoba.Oib
                    </a>
                </td>
                <td class="text-left">@osoba.Ime</td>
                <td class="text-left">@osoba.Prezime</td>
                <td class="text-left">@osoba.NazivTvrtke</td>
                <td class="text-left">@osoba.NazivFunkcije</td>
                <td class="text-left">@osoba.Adresa</td>
                <td class="text-left">@osoba.NazivStrucneSpreme</td>
                <td class="text-left">@osoba.NazivMjesta</td>
                <td class="text-left">
                    @foreach (var kontakt in osoba.OsobaKontakti)
                    {
                        @kontakt.KontaktPodatci
                        <br />
                    }
                </td>
                <td class="btn-group">
                    <a asp-action="Edit"
                       asp-route-Oib="@osoba.Oib"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="Oib" value="@osoba.Oib" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>